#!/bin/sh

echo $0

# mamkosxwx.sh
# makes moreamp for osx using prebuilt libs in the MoreAmp libs/*/osx dirs
#--------------------------------------------------------------------------

# setup libogg/include/ogg/config_types.h for ppc or intel
proc=`uname -p`
ppc=`echo $proc | fgrep powerpc`
if [ "$ppc" != "" ]; then
 cmp ./libs/libogg/include/ogg/config_types.h  ./libs/libogg/include/ogg/config_typesIntel.h
 if [ $? == "0" ]; then # it is the Intel one, change it
  cp -p ./libs/libogg/include/ogg/config_typesPPC.h  ./libs/libogg/include/ogg/config_types.h
 fi
fi

# cleanup from any previous configure
make distclean
rm -fr autom4te.cache; rm -f configtemplate.h
autoheader; aclocal; autoconf

# make moreamp
chmod +x configure
./configure
make

#--------------------------------------------------------------------------
