// maPlayMp3.h

/*
 * MoreAmp
 * Copyright (C) 2004-2008 moreforge
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _MAPLAYMP3_H_
#define _MAPLAYMP3_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdlib.h>
#include <stdio.h>
#include <fcntl.h>

#include "maPlayer.h"

#define CLIPPING 0x02
#define PREAMP 0x04
		 
void mp3eqset(int flags, double preampdb);
void mp3seek(int position);
signed long ThreadPlayMp3(void *parameter);
void maPlayMp3();
int DumpInfoMp3(MASTATE *pstate, FILE *dumpfp);

#define MP3INPBUFSIZE 200000 // 40000 * 5; // 1 s at 320 kbps
#define MP3DECBUFSIZE  13816 // ((575 + 1152) * 4 * 2)
#define MP3ATTENUATIONFLAG 0.00123
extern unsigned char *g_mp3decbuf;
extern unsigned char *g_mp3inpbuf;

#ifdef __cplusplus
}
#endif

#endif // _MAPLAYMP3_H_

// eof
