#!/bin/sh

echo $0

# script mamkunixsysT.sh
# makes moreamp for unix using 'system' libs (installed in /usr/local)
#--------------------------------------------------------------------------

test/mamkwxT.sh $1 $2 $3
if [ "$?" != "0" ]; then
 echo "$0 failed"
 exit 0
fi

# cleanup from any previous configure
make distclean
rm -fr autom4te.cache; rm -f configtemplate.h
autoheader
autoconf >configure configure.in; chmod +x configure

# make moreamp
./configure --with-cdparanoia=system \
            --with-mad=system \
            --with-id3tag=system \
            --with-lame=system \
            --with-vorbis=system \
            --with-flac=system \
            --with-faad=system \
            --with-mp4v2=system \
            --with-faac=system \
			--with-portaudio=system --with-jack=system --with-audioin
make

#--------------------------------------------------------------------------
