#!/bin/sh

# may need to run with sudo for lt to work in /usr/local

echo $0
echo $0 >>mk2.txt

proc=`uname -p`
ppc=`echo $proc | fgrep powerpc`

# setup libogg/include/ogg/config_types.h for ppc or intel
if [ "$ppc" != "" ]; then
 cmp ./libs/libogg/include/ogg/config_types.h  ./libs/libogg/include/ogg/config_typesIntel.h
 if [ $? == "0" ]; then # it is the Intel one, change it
  cp -p ./libs/libogg/include/ogg/config_typesPPC.h  ./libs/libogg/include/ogg/config_types.h
 fi
fi

./test/mamkosxtestnogui.sh
./test/mamkosxnoguisoundmgr.sh
./test/mamkosxnoguicoreaudio.sh
./test/mamkosxgtk.sh
./test/mamkosxgtk2.sh
./test/mamkosxgtknothing.sh
./test/mamkosxnativebin.sh
./mamkosxnative.sh

if [ "$ppc" != "" ]; then
 ./test/mamkosxwxgtkT.sh gtk 4 2
fi
./test/mamkosxwxgtkT.sh gtk 6 3
./test/mamkosxwxgtkT.sh gtk 8 7

./test/mamkosxwxgtk2T.sh gtk2 6 3
./test/mamkosxwxgtk2T.sh gtk2 8 7

if [ "$ppc" != "" ]; then
 ./test/mamkosxwxgtkwxT.sh gtk 4 2
fi
./test/mamkosxwxgtkwxT.sh gtk 6 3
./test/mamkosxwxgtkwxT.sh gtk 8 7

./test/mamkosxwxgtk2wxT.sh gtk2 6 3
./test/mamkosxwxgtk2wxT.sh gtk2 8 7

if [ "$ppc" != "" ]; then
 ./test/mamkosxsyswxgtkT.sh gtk 4 2
fi
./test/mamkosxsyswxgtkT.sh gtk 6 3
./test/mamkosxsyswxgtkT.sh gtk 8 7

./test/mamkosxsyswxgtk2T.sh gtk2 6 3
./test/mamkosxsyswxgtk2T.sh gtk2 8 7

# wxX11 appears to be flaky, builds ok but don't bother testing.
# ./test/mamkosxwxx11T.sh x11 4 2
# ./test/mamkosxwxx11T.sh x11 6 3
# ./test/mamkosxwxx11T.sh x11 8 7

# ./test/mamkosxsyswxx11T.sh x11 4 2
# ./test/mamkosxsyswxx11T.sh x11 6 3
# ./test/mamkosxsyswxx11T.sh x11 8 7

./test/mamkosxbinT.sh mac 6 3
./test/mamkosxbinT.sh mac 8 7

./test/mamkosxmgrT.sh mac 6 3 
./test/mamkosxmgrT.sh mac 8 7 

./test/mamkosxnopaT.sh mac 6 3 
./test/mamkosxnopaT.sh mac 8 7 

./test/mamkosxnocdT.sh mac 6 3 
./test/mamkosxnocdT.sh mac 8 7 

./test/mamkosxnothingT.sh mac 6 3 
./test/mamkosxnothingT.sh mac 8 7 

if [ "$ppc" != "" ]; then
 ./test/mamkosxT.sh mac 4 2
fi
./test/mamkosxT.sh mac 6 3
./test/mamkosxT.sh mac 8 7

chown pm *
chgrp pm *
chown -R pm MoreAmp*.app 
chgrp -R pm MoreAmp*.app
chown -R pm src/obj 
chgrp -R pm src/obj 
